Debian Bug report logs - #635126
gcc-4.6: miscompilation with -ftree-sra

version graph

Package: gcc-4.6; Maintainer for gcc-4.6 is Debian GCC Maintainers <debian-gcc@lists.debian.org>; Source for gcc-4.6 is src:gcc-4.6.

Reported by: Philipp Kern <pkern@debian.org>

Date: Mon, 18 Jul 2011 09:42:01 UTC

Severity: serious

Tags: fixed-upstream, help

Found in version gcc-4.6/4.6.1-4

Fixed in version gcc-4.6/4.6.2-6

Done: Matthias Klose <doko@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://gcc.gnu.org/bugzilla/show_bug.cgi?id=51315

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, debian-arm@lists.debian.org, akira yamada <akira@debian.org>:
Bug#634260; Package ruby1.8. (Mon, 18 Jul 2011 09:42:04 GMT) Full text and rfc822 format available.

Message #3 received at submit@bugs.debian.org (full text, mbox):

From: Philipp Kern <pkern@debian.org>
To: submit@bugs.debian.org
Subject: ruby1.8: FTBFS on armel: not ok pack 2 -- ./sample/test.rb:1851
Date: Mon, 18 Jul 2011 11:40:12 +0200
[Message part 1 (text/plain, inline)]
Package: ruby1.8
Severity: serious
Version: 1.8.7.352-1

ruby1.8 FTBFSes in unstable and blocks the poppler transition through
ruby-gnome2.

compiling tk/tkutil
make[2]: Entering directory `/build/buildd-ruby1.8_1.8.7.352-1-armel-k4EhK2/ruby1.8-1.8.7.352/ext/tk/tkutil'
gcc -I. -I../../.. -I../../../. -I../../.././ext/tk/tkutil -DHAVE_RB_OBJ_INSTANCE_EXEC -DHAVE_STRNDUP  -D_FILE_OFFSET_BITS=64  -fPIC -fno-strict-aliasing -g -g -O2  -fPIC   -c tkutil.c
gcc -shared -o ../../../.ext/arm-linux-eabi/tkutil.so tkutil.o -L. -L../../.. -L.  -rdynamic -Wl,-export-dynamic    -lruby1.8  -lpthread -lrt -ldl -lcrypt -lm   -lc
make[2]: Leaving directory `/build/buildd-ruby1.8_1.8.7.352-1-armel-k4EhK2/ruby1.8-1.8.7.352/ext/tk/tkutil'
compiling win32ole
compiling zlib
make[2]: Entering directory `/build/buildd-ruby1.8_1.8.7.352-1-armel-k4EhK2/ruby1.8-1.8.7.352/ext/zlib'
gcc -I. -I../.. -I../../. -I../.././ext/zlib -DHAVE_ZLIB_H  -DOS_CODE=OS_UNIX  -D_FILE_OFFSET_BITS=64  -fPIC -fno-strict-aliasing -g -g -O2  -fPIC   -c zlib.c
gcc -shared -o ../../.ext/arm-linux-eabi/zlib.so zlib.o -L. -L../.. -L.  -rdynamic -Wl,-export-dynamic    -lruby1.8 -lz  -lpthread -lrt -ldl -lcrypt -lm   -lc
make[2]: Leaving directory `/build/buildd-ruby1.8_1.8.7.352-1-armel-k4EhK2/ruby1.8-1.8.7.352/ext/zlib'
making ruby1.8
make[2]: Entering directory `/build/buildd-ruby1.8_1.8.7.352-1-armel-k4EhK2/ruby1.8-1.8.7.352'
gcc -fno-strict-aliasing -g -g -O2  -fPIC    -DRUBY_EXPORT -D_GNU_SOURCE=1  -L.  -rdynamic -Wl,-export-dynamic   main.o  -lruby1.8 -lpthread -lrt -ldl -lcrypt -lm   -o ruby1.8
make[2]: Leaving directory `/build/buildd-ruby1.8_1.8.7.352-1-armel-k4EhK2/ruby1.8-1.8.7.352'
not ok pack 2 -- ./sample/test.rb:1851
test failed
make[1]: *** [test] Error 1
make: *** [debian/stamp-makefile-build] Error 2
dpkg-buildpackage: error: debian/rules build gave error exit status 2
make[1]: Leaving directory `/build/buildd-ruby1.8_1.8.7.352-1-armel-k4EhK2/ruby1.8-1.8.7.352'

Kind regards,
Philipp Kern
-- 
 .''`.  Philipp Kern                        Debian Developer
: :' :  http://philkern.de                         Stable Release Manager
`. `'   xmpp:phil@0x539.de                         Wanna-Build Admin
  `-    finger pkern/key@db.debian.org
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#634260; Package ruby1.8. (Mon, 18 Jul 2011 10:06:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Mon, 18 Jul 2011 10:06:14 GMT) Full text and rfc822 format available.

Message #8 received at 634260@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: 634260@bugs.debian.org
Subject: Re: Bug#634260: ruby1.8: FTBFS on armel: not ok pack 2 -- ./sample/test.rb:1851
Date: Mon, 18 Jul 2011 12:02:59 +0200
On 18/07/11 at 11:40 +0200, Philipp Kern wrote:
> Package: ruby1.8
> Severity: serious
> Version: 1.8.7.352-1
> 
> ruby1.8 FTBFSes in unstable and blocks the poppler transition through
> ruby-gnome2.

From previous investigations on this topic:
> ruby1.8 and ruby1.9.1 both FTBFS on armel on sid, due to a test failure.
> 
> I did some tests on abel.debian.org on 2011-06-10, and the same packages
> are building fine on squeeze and wheezy.
> 
> The same packages don't fail on sid on other architectures.

I suspect that a toolchain change triggered this failure.

- Lucas




Information forwarded to debian-bugs-dist@lists.debian.org, akira yamada <akira@debian.org>:
Bug#634260; Package ruby1.8. (Fri, 22 Jul 2011 20:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to akira yamada <akira@debian.org>. (Fri, 22 Jul 2011 20:51:03 GMT) Full text and rfc822 format available.

Message #13 received at 634260@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: 634260@bugs.debian.org, control@bugs.debian.org
Subject: Re: Bug#634260: ruby1.8: FTBFS on armel: not ok pack 2 -- ./sample/test.rb:1851
Date: Fri, 22 Jul 2011 22:45:53 +0200
clone 634260 -1
reassign -1 gcc-4.6 4.6.1-4
retitle -1 gcc-4.6: miscompilation with -ftree-sra
thanks

On 18/07/11 at 12:02 +0200, Lucas Nussbaum wrote:
> On 18/07/11 at 11:40 +0200, Philipp Kern wrote:
> > Package: ruby1.8
> > Severity: serious
> > Version: 1.8.7.352-1
> > 
> > ruby1.8 FTBFSes in unstable and blocks the poppler transition through
> > ruby-gnome2.
> 
> >From previous investigations on this topic:
> > ruby1.8 and ruby1.9.1 both FTBFS on armel on sid, due to a test failure.
> > 
> > I did some tests on abel.debian.org on 2011-06-10, and the same packages
> > are building fine on squeeze and wheezy.
> > 
> > The same packages don't fail on sid on other architectures.
> 
> I suspect that a toolchain change triggered this failure.

Hi,

pack.c is the source file being miscompiled.
The miscompilation is linked to -ftree-sra.

Steps to reproduce:
in abel's sid chroot, try to build ruby1.8. it fails.
rm pack.o

gcc-4.6 -fno-strict-aliasing -g -g -O2 -fno-tree-sra -fPIC -DRUBY_EXPORT -D_GNU_SOURCE=1  -I. -I.    -c pack.c
make miniruby
./miniruby -e 'puts [-32767,-123456].pack("s_l_").unpack("s_l_").inspect'
=> [-32767, -123456] => OK

gcc-4.6 -fno-strict-aliasing -g -g -O2 -fPIC -DRUBY_EXPORT -D_GNU_SOURCE=1  -I. -I.    -c pack.c
make miniruby
./miniruby -e 'puts [-32767,-123456].pack("s_l_").unpack("s_l_").inspect'
=> [-32767, -2147410496] => WRONG

I've tried with /usr/lib/gcc-snapshot/bin/gcc. Same behaviour.

Google says that it might be
http://gcc.gnu.org/bugzilla/show_bug.cgi?id=45144

For now (well, tomorrow), I'll upload a ruby1.8 package with -fno-tree-sra.

- Lucas




Bug 634260 cloned as bug 635126. Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Fri, 22 Jul 2011 20:51:04 GMT) Full text and rfc822 format available.

Bug reassigned from package 'ruby1.8' to 'gcc-4.6'. Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Fri, 22 Jul 2011 20:51:06 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions ruby1.8/1.8.7.352-1. Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Fri, 22 Jul 2011 20:51:07 GMT) Full text and rfc822 format available.

Bug Marked as found in versions gcc-4.6/4.6.1-4. Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Fri, 22 Jul 2011 20:51:08 GMT) Full text and rfc822 format available.

Changed Bug title to 'gcc-4.6: miscompilation with -ftree-sra' from 'ruby1.8: FTBFS on armel: not ok pack 2 -- ./sample/test.rb:1851' Request was from Lucas Nussbaum <lucas@lucas-nussbaum.net> to control@bugs.debian.org. (Fri, 22 Jul 2011 20:51:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#635126; Package gcc-4.6. (Tue, 16 Aug 2011 20:39:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Tue, 16 Aug 2011 20:39:06 GMT) Full text and rfc822 format available.

Message #28 received at 635126@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 635126@bugs.debian.org, Philipp Kern <pkern@debian.org>, Lucas Nussbaum <lucas@lucas-nussbaum.net>
Subject: update?
Date: Tue, 16 Aug 2011 22:36:37 +0200
tag 635126 + moreinfo help
thanks

are you still working on this, trying to get a test case?




Added tag(s) help and moreinfo. Request was from Matthias Klose <doko@debian.org> to control@bugs.debian.org. (Tue, 16 Aug 2011 20:39:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#635126; Package gcc-4.6. (Wed, 17 Aug 2011 08:42:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Wed, 17 Aug 2011 08:42:18 GMT) Full text and rfc822 format available.

Message #35 received at 635126@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Matthias Klose <doko@debian.org>, 635126@bugs.debian.org
Cc: Philipp Kern <pkern@debian.org>
Subject: Re: Bug#635126: update?
Date: Wed, 17 Aug 2011 10:38:20 +0200
On 16/08/11 at 22:36 +0200, Matthias Klose wrote:
> tag 635126 + moreinfo help
> thanks
> 
> are you still working on this, trying to get a test case?

Hi,

As I wrote in #634260:

n 24/07/11 at 12:19 +0200, Lucas Nussbaum wrote:
> On 23/07/11 at 12:16 +0200, Matthias Klose wrote:
> > builds on sid armhf, and oneiric armel, so this only seems to be
> > triggered in
> > ARM mode.  Could you provide a self-contained test case, derived
> > from pack.c?
> 
> Could you check if the upstream bug I was pointed to exhibits the same
> behaviour? That would be an indication that it might be the same bug,
> and that I don't need to spend hours building a test case.

L.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#635126; Package gcc-4.6. (Mon, 29 Aug 2011 06:03:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Mon, 29 Aug 2011 06:03:08 GMT) Full text and rfc822 format available.

Message #40 received at 635126@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: Matthias Klose <doko@debian.org>, 635126@bugs.debian.org
Cc: Philipp Kern <pkern@debian.org>
Subject: miscompilation with -ftree-sra on armel and sparc.
Date: Mon, 29 Aug 2011 07:59:10 +0200
On 17/08/11 at 10:38 +0200, Lucas Nussbaum wrote:
> On 16/08/11 at 22:36 +0200, Matthias Klose wrote:
> > tag 635126 + moreinfo help
> > thanks
> > 
> > are you still working on this, trying to get a test case?
> 
> Hi,
> 
> As I wrote in #634260:
> 
> n 24/07/11 at 12:19 +0200, Lucas Nussbaum wrote:
> > On 23/07/11 at 12:16 +0200, Matthias Klose wrote:
> > > builds on sid armhf, and oneiric armel, so this only seems to be
> > > triggered in
> > > ARM mode.  Could you provide a self-contained test case, derived
> > > from pack.c?
> > 
> > Could you check if the upstream bug I was pointed to exhibits the same
> > behaviour? That would be an indication that it might be the same bug,
> > and that I don't need to spend hours building a test case.

It seems that this also affects sparc. ruby1.9.1 fails to build in a
similar way.

- Lucas




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#635126; Package gcc-4.6. (Mon, 29 Aug 2011 21:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas@lucas-nussbaum.net>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Mon, 29 Aug 2011 21:51:06 GMT) Full text and rfc822 format available.

Message #45 received at 635126@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas@lucas-nussbaum.net>
To: debian-sparc@lists.debian.org, debian-arm@lists.debian.org, debian-ia64@lists.debian.org, debian-bsd@lists.debian.org
Cc: 635126@bugs.debian.org, akira@debian.org, daigo@debian.org
Subject: status of ruby 1.9.1 wrt porting
Date: Mon, 29 Aug 2011 23:48:34 +0200
Hi,

Ruby 1.9.3 is going to be released in september, and is a candidate for
the default ruby version in wheezy. A snapshot is available in
experimental. Now is an ideal time to work on porting issues and get the
fixes integrated upstream. Ruby has a fairly large test suite, which
makes finding problems easy, but exercises the threading library in
interesting ways.

Most of the issues are reproducible by re-building the Debian package.
Use make && make test to get a shorter build.

Here is the current complete list of issues I'm aware of. My time will
be very limited in the coming weeks, but I will try my best to provide
help.

[armel,sparc] FTBFS due to miscompilation with -ftree-sra (inc. in -O3).
See http://bugs.debian.org/635126.
Currently worked-around by using -fno-tree-sra.
Other packages might be affected.
-> FIXED from ruby1.9.1's POV, but you really want to look at this
   for other packages.

[armel] I've just seen that now that this one is fixed, the test suite
segfaults.
See
https://buildd.debian.org/status/fetch.php?pkg=ruby1.9.1&arch=armel&ver=1.9.3~preview1%2Bsvn33077-1&stamp=1314634969
search for 'TestFiber#test_many_fibers'.
'make test-all' to reproduce. Failures during test-all are currently not
fatal. The remaining ones needs more investigation, but I don't think
that they are arch-specific. I'd like to make test-all failures fatal at
some point.

[sparc] continuations are completely broken.
See http://redmine.ruby-lang.org/issues/5244 (minimal test case
included)

[ia64] crashes during test suite, linked to continuations according to
backtrace.
See http://redmine.ruby-lang.org/issues/5246. 'make test' to reproduce.
Might be related to the sparc problem above.

[kfreebsd] waitpid from threads problem
http://redmine.ruby-lang.org/issues/5239
http://bugs.debian.org/639658
Will add a patch in test suite runner to work-around this
-> FIXED from ruby1.9.1's POV.

[kfreebsd] mmap() with MAP_STACK requires non-null first arg
http://redmine.ruby-lang.org/issues/5241
http://www.FreeBSD.org/cgi/query-pr.cgi?pr=158755
patch will be applied upstream, added to Debian package in the meantime
-> FIXED from ruby1.9.1's POV.

[kfreebsd] thread-related hangs
http://redmine.ruby-lang.org/issues/5240
bisected the upstream commit.
Petr Salinger working on a fix, see
http://lists.debian.org/debian-bsd/2011/08/msg00180.html


I've just uploaded (to experimental) a new version fixing the issues marked FIXED.

Thanks!

- Lucas




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#635126; Package gcc-4.6. (Tue, 30 Aug 2011 14:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to lsorense@csclub.uwaterloo.ca (Lennart Sorensen):
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Tue, 30 Aug 2011 14:21:03 GMT) Full text and rfc822 format available.

Message #50 received at 635126@bugs.debian.org (full text, mbox):

From: lsorense@csclub.uwaterloo.ca (Lennart Sorensen)
To: Lucas Nussbaum <lucas@lucas-nussbaum.net>
Cc: debian-sparc@lists.debian.org, debian-arm@lists.debian.org, debian-ia64@lists.debian.org, debian-bsd@lists.debian.org, 635126@bugs.debian.org, akira@debian.org, daigo@debian.org
Subject: Re: status of ruby 1.9.1 wrt porting
Date: Tue, 30 Aug 2011 10:08:29 -0400
On Mon, Aug 29, 2011 at 11:48:34PM +0200, Lucas Nussbaum wrote:
> Ruby 1.9.3 is going to be released in september, and is a candidate for
> the default ruby version in wheezy. A snapshot is available in
> experimental. Now is an ideal time to work on porting issues and get the
> fixes integrated upstream. Ruby has a fairly large test suite, which
> makes finding problems easy, but exercises the threading library in
> interesting ways.
> 
> Most of the issues are reproducible by re-building the Debian package.
> Use make && make test to get a shorter build.
> 
> Here is the current complete list of issues I'm aware of. My time will
> be very limited in the coming weeks, but I will try my best to provide
> help.
> 
> [armel,sparc] FTBFS due to miscompilation with -ftree-sra (inc. in -O3).
> See http://bugs.debian.org/635126.
> Currently worked-around by using -fno-tree-sra.
> Other packages might be affected.
> -> FIXED from ruby1.9.1's POV, but you really want to look at this
>    for other packages.
> 
> [armel] I've just seen that now that this one is fixed, the test suite
> segfaults.
> See
> https://buildd.debian.org/status/fetch.php?pkg=ruby1.9.1&arch=armel&ver=1.9.3~preview1%2Bsvn33077-1&stamp=1314634969
> search for 'TestFiber#test_many_fibers'.
> 'make test-all' to reproduce. Failures during test-all are currently not
> fatal. The remaining ones needs more investigation, but I don't think
> that they are arch-specific. I'd like to make test-all failures fatal at
> some point.

Building on armhf seemed to go fine, and running some of the examples
looked good too.

-- 
Len Sorensen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#635126; Package gcc-4.6. (Sat, 10 Sep 2011 15:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Lucas Nussbaum <lucas.nussbaum@loria.fr>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Sat, 10 Sep 2011 15:33:08 GMT) Full text and rfc822 format available.

Message #55 received at 635126@bugs.debian.org (full text, mbox):

From: Lucas Nussbaum <lucas.nussbaum@loria.fr>
To: debian-sparc@lists.debian.org, debian-arm@lists.debian.org, debian-ia64@lists.debian.org, debian-bsd@lists.debian.org
Cc: 635126@bugs.debian.org, akira@debian.org, daigo@debian.org, debian-ruby@lists.debian.org
Subject: Re: status of ruby 1.9.1 wrt porting
Date: Sat, 10 Sep 2011 14:12:12 +0200
On 29/08/11 at 23:48 +0200, Lucas Nussbaum wrote:
> Hi,
> 
> Ruby 1.9.3 is going to be released in september, and is a candidate for
> the default ruby version in wheezy. A snapshot is available in
> experimental. Now is an ideal time to work on porting issues and get the
> fixes integrated upstream. Ruby has a fairly large test suite, which
> makes finding problems easy, but exercises the threading library in
> interesting ways.
> 
> Most of the issues are reproducible by re-building the Debian package.
> Use make && make test to get a shorter build.
> 
> Here is the current complete list of issues I'm aware of. My time will
> be very limited in the coming weeks, but I will try my best to provide
> help.

Hi,

I've uploaded a new version of ruby1.9.1. It's still a pre-release
snapshot of 1.9.3, and there's no real clear plan from upstream for the
final release.

> [armel,sparc] FTBFS due to miscompilation with -ftree-sra (inc. in -O3).
> See http://bugs.debian.org/635126.
> Currently worked-around by using -fno-tree-sra.
> Other packages might be affected.
> -> FIXED from ruby1.9.1's POV, but you really want to look at this
>    for other packages.

No progress on #635126, but does not affect Ruby anymore.

> [armel] I've just seen that now that this one is fixed, the test suite
> segfaults.
> See
> https://buildd.debian.org/status/fetch.php?pkg=ruby1.9.1&arch=armel&ver=1.9.3~preview1%2Bsvn33077-1&stamp=1314634969
> search for 'TestFiber#test_many_fibers'.
> 'make test-all' to reproduce. Failures during test-all are currently not
> fatal. The remaining ones needs more investigation, but I don't think
> that they are arch-specific. I'd like to make test-all failures fatal at
> some point.

Builds fine now, I don't know if it's just luck.

> [sparc] continuations are completely broken.
> See http://redmine.ruby-lang.org/issues/5244 (minimal test case
> included)

There has been some discussions on the upstream bug, but no solution
yet.

> [ia64] crashes during test suite, linked to continuations according to
> backtrace.
> See http://redmine.ruby-lang.org/issues/5246. 'make test' to reproduce.
> Might be related to the sparc problem above.

No progress on the upstream bug.

> [kfreebsd] waitpid from threads problem
> http://redmine.ruby-lang.org/issues/5239
> http://bugs.debian.org/639658
> Will add a patch in test suite runner to work-around this
> -> FIXED from ruby1.9.1's POV.

The patch won't be merged upstream, but we can carry it in the Debian
package.

> [kfreebsd] mmap() with MAP_STACK requires non-null first arg
> http://redmine.ruby-lang.org/issues/5241
> http://www.FreeBSD.org/cgi/query-pr.cgi?pr=158755
> patch will be applied upstream, added to Debian package in the meantime
> -> FIXED from ruby1.9.1's POV.

patch merged upstream, removed from Debian package.

> [kfreebsd] thread-related hangs
> http://redmine.ruby-lang.org/issues/5240
> bisected the upstream commit.
> Petr Salinger working on a fix, see
> http://lists.debian.org/debian-bsd/2011/08/msg00180.html

progress on the upstream bug, no solution yet.


I'm planning to upload 1.9.3 to unstable as soon as it is released. This
release is much better than 1.9.2 (that we currently have in unstable and
testing). Also, it is likely that 1.9.3 ends up being the default Ruby
release in wheezy.

At this point, Ruby 1.9.3 is not in a releasable state on:
- ia64
- sparc
- kfreebsd-*
On those architectures, it's still possible to disable the test suite, to
allow (partially broken) packages to be built.


Lucas




Severity set to 'important' from 'serious' Request was from Ludovic Brenta <ludovic@ludovic-brenta.org> to control@bugs.debian.org. (Thu, 29 Sep 2011 13:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#635126; Package gcc-4.6. (Thu, 29 Sep 2011 13:57:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ludovic Brenta <ludovic@ludovic-brenta.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Thu, 29 Sep 2011 13:57:03 GMT) Full text and rfc822 format available.

Message #62 received at 635126@bugs.debian.org (full text, mbox):

From: Ludovic Brenta <ludovic@ludovic-brenta.org>
To: <635126@bugs.debian.org>, <control@bugs.debian.org>
Subject: gcc-4.6: miscompilation with -ftree-sra
Date: Thu, 29 Sep 2011 14:43:39 +0100
severity 635126 important
thanks

Downgrading this bug as an easy workaround has been found.  This will 
allow gcc-4.6 to migrate to testing.

-- 
Ludovic Brenta.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#635126; Package gcc-4.6. (Fri, 25 Nov 2011 18:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jurij Smakov <jurij@wooyd.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Fri, 25 Nov 2011 18:27:03 GMT) Full text and rfc822 format available.

Message #67 received at 635126@bugs.debian.org (full text, mbox):

From: Jurij Smakov <jurij@wooyd.org>
To: 635126@bugs.debian.org
Subject: Standalone test case
Date: Fri, 25 Nov 2011 18:17:48 +0000
[Message part 1 (text/plain, inline)]
Hi,

Attached is a standalone test case for this bug, obtained on an 
up-to-date sid/sparc system. With it I see the following behavior:

jurij@debian:~$ gcc -v
Using built-in specs.
COLLECT_GCC=gcc
COLLECT_LTO_WRAPPER=/usr/lib/gcc/sparc-linux-gnu/4.6/lto-wrapper
Target: sparc-linux-gnu
Configured with: ../src/configure -v --with-pkgversion='Debian 4.6.2-5' --with-bugurl=file:///usr/share/doc/gcc-4.6/README.Bugs --enable-languages=c,c++,fortran,objc,obj-c++ --prefix=/usr --program-suffix=-4.6 --enable-shared --enable-linker-build-id --with-system-zlib --libexecdir=/usr/lib --without-included-gettext --enable-threads=posix --with-gxx-include-dir=/usr/include/c++/4.6 --libdir=/usr/lib --enable-nls --enable-clocale=gnu --enable-libstdcxx-debug --enable-libstdcxx-time=yes --enable-plugin --enable-objc-gc --enable-targets=all --with-long-double-128 --enable-checking=release --build=sparc-linux-gnu --host=sparc-linux-gnu --target=sparc-linux-gnu
Thread model: posix
gcc version 4.6.2 (Debian 4.6.2-5) 
jurij@debian:~$ 
jurij@debian:~$ gcc -g -O2 -fno-tree-sra pack.c -o pack
jurij@debian:~$ ./pack
do_something called with item=-32767
do_something called with item=-123456
jurij@debian:~$ 
jurij@debian:~$ gcc -g -O2 pack.c -o pack
jurij@debian:~$ ./pack
do_something called with item=-32767
Bus error
jurij@debian:~$ 
jurij@debian:~$ gdb pack
GNU gdb (GDB) 7.3-debian
Copyright (C) 2011 Free Software Foundation, Inc.
License GPLv3+: GNU GPL version 3 or later <http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.  Type "show copying"
and "show warranty" for details.
This GDB was configured as "sparc-linux-gnu".
For bug reporting instructions, please see:
<http://www.gnu.org/software/gdb/bugs/>...
Reading symbols from /home/jurij/pack...done.
(gdb) run
Starting program: /home/jurij/pack 
do_something called with item=-32767

Program received signal SIGBUS, Bus error.
pack_unpack (s=0x1068a "\377\376\035\300", p=0x10692 "") at pack.c:62
62			memcpy (v.a, s, sizeof (int32_t));
(gdb) bt
#0  pack_unpack (s=0x1068a "\377\376\035\300", p=0x10692 "") at pack.c:62
#1  0xf7e64854 in __libc_start_main () from /lib/sparc-linux-gnu/libc.so.6
#2  0x00010378 in _start ()
(gdb) 

I don't believe that it's related to the upstream bug Lucas mentioned, 
as it was specifically triggered by using bit fields, which are not 
used in any way here.

Best regards,
-- 
Jurij Smakov                                           jurij@wooyd.org
Key: http://www.wooyd.org/pgpkey/                      KeyID: C99E03CC
[pack.c (text/x-csrc, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#635126; Package gcc-4.6. (Fri, 25 Nov 2011 19:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jurij Smakov <jurij@wooyd.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Fri, 25 Nov 2011 19:03:03 GMT) Full text and rfc822 format available.

Message #72 received at 635126@bugs.debian.org (full text, mbox):

From: Jurij Smakov <jurij@wooyd.org>
To: 635126@bugs.debian.org
Subject: Raising severity to 'serious'
Date: Fri, 25 Nov 2011 19:01:43 +0000
severity 635126 serious
thanks

With my sparc port maintainer hat on, I'm setting severity of this bug 
back to serious. --ftree-sre is on by default for -O2, so pretty much 
every sparc binary in the archive is potentially affected by it. The 
fact that the test code does not do anything exotic to trigger it 
(well, nothing that I can see) convinces me that it should be fixed 
before we can release.

Best regards, 
-- 
Jurij Smakov                                           jurij@wooyd.org
Key: http://www.wooyd.org/pgpkey/                      KeyID: C99E03CC




Severity set to 'serious' from 'important' Request was from Jurij Smakov <jurij@wooyd.org> to control@bugs.debian.org. (Fri, 25 Nov 2011 19:03:09 GMT) Full text and rfc822 format available.

Removed tag(s) moreinfo. Request was from Jurij Smakov <jurij@wooyd.org> to control@bugs.debian.org. (Sat, 26 Nov 2011 17:03:07 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'http://gcc.gnu.org/bugzilla/show_bug.cgi?id=51315'. Request was from Jurij Smakov <jurij@wooyd.org> to control@bugs.debian.org. (Sat, 26 Nov 2011 17:03:08 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#635126; Package gcc-4.6. (Fri, 02 Dec 2011 11:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Fri, 02 Dec 2011 11:39:09 GMT) Full text and rfc822 format available.

Message #83 received at 635126@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: Lennart Sorensen <lsorense@csclub.uwaterloo.ca>, 635126@bugs.debian.org
Cc: Lucas Nussbaum <lucas@lucas-nussbaum.net>, debian-arm@lists.debian.org
Subject: Re: Bug#635126: status of ruby 1.9.1 wrt porting
Date: Fri, 2 Dec 2011 11:37:34 +0000
Hello Lennart,

On Tue, Aug 30, 2011 at 10:08:29AM -0400, Lennart Sorensen wrote:
> On Mon, Aug 29, 2011 at 11:48:34PM +0200, Lucas Nussbaum wrote:
> > Ruby 1.9.3 is going to be released in september, and is a candidate for
> > the default ruby version in wheezy. A snapshot is available in
> > experimental. Now is an ideal time to work on porting issues and get the
> > fixes integrated upstream. Ruby has a fairly large test suite, which
> > makes finding problems easy, but exercises the threading library in
> > interesting ways.
> > 
> > Most of the issues are reproducible by re-building the Debian package.
> > Use make && make test to get a shorter build.
> > 
> > Here is the current complete list of issues I'm aware of. My time will
> > be very limited in the coming weeks, but I will try my best to provide
> > help.
> > 
> > [armel,sparc] FTBFS due to miscompilation with -ftree-sra (inc. in -O3).
> > See http://bugs.debian.org/635126.
> > Currently worked-around by using -fno-tree-sra.
> > Other packages might be affected.
> > -> FIXED from ruby1.9.1's POV, but you really want to look at this
> >    for other packages.
> > 
> > [armel] I've just seen that now that this one is fixed, the test suite
> > segfaults.
> > See
> > https://buildd.debian.org/status/fetch.php?pkg=ruby1.9.1&arch=armel&ver=1.9.3~preview1%2Bsvn33077-1&stamp=1314634969
> > search for 'TestFiber#test_many_fibers'.
> > 'make test-all' to reproduce. Failures during test-all are currently not
> > fatal. The remaining ones needs more investigation, but I don't think
> > that they are arch-specific. I'd like to make test-all failures fatal at
> > some point.
 
> Building on armhf seemed to go fine, and running some of the examples
> looked good too.

Lennart, could you try to rebuild on armhf, we are trying to bootstrap armhf in
official main and contrib Debian archive, but build seems to hang:

See https://buildd.debian.org/status/fetch.php?pkg=ruby1.9.1&arch=armhf&ver=1.9.3.0-1&stamp=1322758500

Now, trying to build with -fno-tree-sra.

Cheers




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#635126; Package gcc-4.6. (Fri, 02 Dec 2011 20:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to lsorense@csclub.uwaterloo.ca (Lennart Sorensen):
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Fri, 02 Dec 2011 20:12:03 GMT) Full text and rfc822 format available.

Message #88 received at 635126@bugs.debian.org (full text, mbox):

From: lsorense@csclub.uwaterloo.ca (Lennart Sorensen)
To: Hector Oron <zumbi@debian.org>
Cc: Lennart Sorensen <lsorense@csclub.uwaterloo.ca>, 635126@bugs.debian.org, Lucas Nussbaum <lucas@lucas-nussbaum.net>, debian-arm@lists.debian.org
Subject: Re: Bug#635126: status of ruby 1.9.1 wrt porting
Date: Fri, 2 Dec 2011 14:58:59 -0500
On Fri, Dec 02, 2011 at 11:37:34AM +0000, Hector Oron wrote:
> Hello Lennart,
> 
> On Tue, Aug 30, 2011 at 10:08:29AM -0400, Lennart Sorensen wrote:
> > On Mon, Aug 29, 2011 at 11:48:34PM +0200, Lucas Nussbaum wrote:
> > > Ruby 1.9.3 is going to be released in september, and is a candidate for
> > > the default ruby version in wheezy. A snapshot is available in
> > > experimental. Now is an ideal time to work on porting issues and get the
> > > fixes integrated upstream. Ruby has a fairly large test suite, which
> > > makes finding problems easy, but exercises the threading library in
> > > interesting ways.
> > > 
> > > Most of the issues are reproducible by re-building the Debian package.
> > > Use make && make test to get a shorter build.
> > > 
> > > Here is the current complete list of issues I'm aware of. My time will
> > > be very limited in the coming weeks, but I will try my best to provide
> > > help.
> > > 
> > > [armel,sparc] FTBFS due to miscompilation with -ftree-sra (inc. in -O3).
> > > See http://bugs.debian.org/635126.
> > > Currently worked-around by using -fno-tree-sra.
> > > Other packages might be affected.
> > > -> FIXED from ruby1.9.1's POV, but you really want to look at this
> > >    for other packages.
> > > 
> > > [armel] I've just seen that now that this one is fixed, the test suite
> > > segfaults.
> > > See
> > > https://buildd.debian.org/status/fetch.php?pkg=ruby1.9.1&arch=armel&ver=1.9.3~preview1%2Bsvn33077-1&stamp=1314634969
> > > search for 'TestFiber#test_many_fibers'.
> > > 'make test-all' to reproduce. Failures during test-all are currently not
> > > fatal. The remaining ones needs more investigation, but I don't think
> > > that they are arch-specific. I'd like to make test-all failures fatal at
> > > some point.
>  
> > Building on armhf seemed to go fine, and running some of the examples
> > looked good too.
> 
> Lennart, could you try to rebuild on armhf, we are trying to bootstrap armhf in
> official main and contrib Debian archive, but build seems to hang:
> 
> See https://buildd.debian.org/status/fetch.php?pkg=ruby1.9.1&arch=armhf&ver=1.9.3.0-1&stamp=1322758500
> 
> Now, trying to build with -fno-tree-sra.

I will give it a try as soon as I get home and power it up again.
Last nights power failure shut it off and the mx53 doesn't auto power
on without hardware mods.  Seems the UPS needs a new battery.

-- 
Len Sorensen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#635126; Package gcc-4.6. (Sat, 03 Dec 2011 15:22:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Matthias Klose <doko@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Sat, 03 Dec 2011 15:22:03 GMT) Full text and rfc822 format available.

Message #93 received at 635126@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 635126@bugs.debian.org, Lucas Nussbaum <lucas@lucas-nussbaum.net>
Subject: not reproducible on armel and armhf
Date: Sat, 03 Dec 2011 16:13:52 +0100
I can't reproduce this on armel or armhf. The test case succeeds on these
architectures.

However the testsuite hangs on TestFileUtils#test_cd for me, building with or
without -fno-tree-sra.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#635126; Package gcc-4.6. (Sat, 03 Dec 2011 18:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to lsorense@csclub.uwaterloo.ca (Lennart Sorensen):
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Sat, 03 Dec 2011 18:39:03 GMT) Full text and rfc822 format available.

Message #98 received at 635126@bugs.debian.org (full text, mbox):

From: lsorense@csclub.uwaterloo.ca (Lennart Sorensen)
To: Hector Oron <zumbi@debian.org>
Cc: Lennart Sorensen <lsorense@csclub.uwaterloo.ca>, 635126@bugs.debian.org, Lucas Nussbaum <lucas@lucas-nussbaum.net>, debian-arm@lists.debian.org
Subject: Re: Bug#635126: status of ruby 1.9.1 wrt porting
Date: Sat, 3 Dec 2011 13:35:40 -0500
On Fri, Dec 02, 2011 at 11:37:34AM +0000, Hector Oron wrote:
> Lennart, could you try to rebuild on armhf, we are trying to bootstrap armhf in
> official main and contrib Debian archive, but build seems to hang:
> 
> See https://buildd.debian.org/status/fetch.php?pkg=ruby1.9.1&arch=armhf&ver=1.9.3.0-1&stamp=1322758500
> 
> Now, trying to build with -fno-tree-sra.

It appears it failed in TestFiber#test_many_fibers_with_threads as far
as I can tell.

Strangely the run-test-suites.bash didn't continue after the crash
even though it looks like it should have and simply ignored the error.
I had to control-c it to getback to a prompt.  The system was completely
idle at the time too.

-- 
Len Sorensen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#635126; Package gcc-4.6. (Mon, 05 Dec 2011 15:15:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to lsorense@csclub.uwaterloo.ca (Lennart Sorensen):
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Mon, 05 Dec 2011 15:15:03 GMT) Full text and rfc822 format available.

Message #103 received at 635126@bugs.debian.org (full text, mbox):

From: lsorense@csclub.uwaterloo.ca (Lennart Sorensen)
To: Lennart Sorensen <lsorense@csclub.uwaterloo.ca>
Cc: Hector Oron <zumbi@debian.org>, 635126@bugs.debian.org, Lucas Nussbaum <lucas@lucas-nussbaum.net>, debian-arm@lists.debian.org
Subject: Re: Bug#635126: status of ruby 1.9.1 wrt porting
Date: Mon, 5 Dec 2011 10:12:27 -0500
On Sat, Dec 03, 2011 at 01:35:40PM -0500, Lennart Sorensen wrote:
> On Fri, Dec 02, 2011 at 11:37:34AM +0000, Hector Oron wrote:
> > Lennart, could you try to rebuild on armhf, we are trying to bootstrap armhf in
> > official main and contrib Debian archive, but build seems to hang:
> > 
> > See https://buildd.debian.org/status/fetch.php?pkg=ruby1.9.1&arch=armhf&ver=1.9.3.0-1&stamp=1322758500
> > 
> > Now, trying to build with -fno-tree-sra.
> 
> It appears it failed in TestFiber#test_many_fibers_with_threads as far
> as I can tell.
> 
> Strangely the run-test-suites.bash didn't continue after the crash
> even though it looks like it should have and simply ignored the error.
> I had to control-c it to getback to a prompt.  The system was completely
> idle at the time too.

I tried adding armhf to the list of archs needing -fno-tree-sra, and it
made no difference at all.  Exact same crash in the same place.

-- 
Len Sorensen




Information forwarded to debian-bugs-dist@lists.debian.org, Debian GCC Maintainers <debian-gcc@lists.debian.org>:
Bug#635126; Package gcc-4.6. (Mon, 05 Dec 2011 15:39:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian GCC Maintainers <debian-gcc@lists.debian.org>. (Mon, 05 Dec 2011 15:39:08 GMT) Full text and rfc822 format available.

Message #108 received at 635126@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: Lennart Sorensen <lsorense@csclub.uwaterloo.ca>
Cc: 635126@bugs.debian.org, Lucas Nussbaum <lucas@lucas-nussbaum.net>, debian-arm@lists.debian.org
Subject: Re: Bug#635126: status of ruby 1.9.1 wrt porting
Date: Mon, 5 Dec 2011 15:36:53 +0000
Hello Lennart,

2011/12/5 Lennart Sorensen <lsorense@csclub.uwaterloo.ca>:

> I tried adding armhf to the list of archs needing -fno-tree-sra, and it
> made no difference at all.  Exact same crash in the same place.

Yes, that matches my tests. Thanks very much for trying.

-- 
 Héctor Orón  -.. . -... .. .- -.   -.. . ...- . .-.. --- .--. . .-.




Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 08 Dec 2011 16:42:28 GMT) Full text and rfc822 format available.

Reply sent to Matthias Klose <doko@debian.org>:
You have taken responsibility. (Fri, 09 Dec 2011 00:36:08 GMT) Full text and rfc822 format available.

Notification sent to Philipp Kern <pkern@debian.org>:
Bug acknowledged by developer. (Fri, 09 Dec 2011 00:36:08 GMT) Full text and rfc822 format available.

Message #115 received at 635126-close@bugs.debian.org (full text, mbox):

From: Matthias Klose <doko@debian.org>
To: 635126-close@bugs.debian.org
Subject: Bug#635126: fixed in gcc-4.6 4.6.2-6
Date: Fri, 09 Dec 2011 00:33:25 +0000
Source: gcc-4.6
Source-Version: 4.6.2-6

We believe that the bug you reported is fixed in the latest version of
gcc-4.6, which is due to be installed in the Debian FTP archive:

cpp-4.6_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/cpp-4.6_4.6.2-6_amd64.deb
fixincludes_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/fixincludes_4.6.2-6_amd64.deb
g++-4.6-multilib_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/g++-4.6-multilib_4.6.2-6_amd64.deb
g++-4.6_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/g++-4.6_4.6.2-6_amd64.deb
gcc-4.6-base_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/gcc-4.6-base_4.6.2-6_amd64.deb
gcc-4.6-locales_4.6.2-6_all.deb
  to main/g/gcc-4.6/gcc-4.6-locales_4.6.2-6_all.deb
gcc-4.6-multilib_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/gcc-4.6-multilib_4.6.2-6_amd64.deb
gcc-4.6-plugin-dev_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/gcc-4.6-plugin-dev_4.6.2-6_amd64.deb
gcc-4.6-source_4.6.2-6_all.deb
  to main/g/gcc-4.6/gcc-4.6-source_4.6.2-6_all.deb
gcc-4.6_4.6.2-6.diff.gz
  to main/g/gcc-4.6/gcc-4.6_4.6.2-6.diff.gz
gcc-4.6_4.6.2-6.dsc
  to main/g/gcc-4.6/gcc-4.6_4.6.2-6.dsc
gcc-4.6_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/gcc-4.6_4.6.2-6_amd64.deb
gccgo-4.6-multilib_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/gccgo-4.6-multilib_4.6.2-6_amd64.deb
gccgo-4.6_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/gccgo-4.6_4.6.2-6_amd64.deb
gfortran-4.6-multilib_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/gfortran-4.6-multilib_4.6.2-6_amd64.deb
gfortran-4.6_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/gfortran-4.6_4.6.2-6_amd64.deb
gobjc++-4.6-multilib_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/gobjc++-4.6-multilib_4.6.2-6_amd64.deb
gobjc++-4.6_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/gobjc++-4.6_4.6.2-6_amd64.deb
gobjc-4.6-multilib_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/gobjc-4.6-multilib_4.6.2-6_amd64.deb
gobjc-4.6_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/gobjc-4.6_4.6.2-6_amd64.deb
lib32gcc1-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32gcc1-dbg_4.6.2-6_amd64.deb
lib32gcc1_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32gcc1_4.6.2-6_amd64.deb
lib32gfortran3-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32gfortran3-dbg_4.6.2-6_amd64.deb
lib32gfortran3_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32gfortran3_4.6.2-6_amd64.deb
lib32go0-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32go0-dbg_4.6.2-6_amd64.deb
lib32go0_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32go0_4.6.2-6_amd64.deb
lib32gomp1-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32gomp1-dbg_4.6.2-6_amd64.deb
lib32gomp1_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32gomp1_4.6.2-6_amd64.deb
lib32mudflap0-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32mudflap0-dbg_4.6.2-6_amd64.deb
lib32mudflap0_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32mudflap0_4.6.2-6_amd64.deb
lib32objc3-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32objc3-dbg_4.6.2-6_amd64.deb
lib32objc3_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32objc3_4.6.2-6_amd64.deb
lib32quadmath0-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32quadmath0-dbg_4.6.2-6_amd64.deb
lib32quadmath0_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32quadmath0_4.6.2-6_amd64.deb
lib32stdc++6-4.6-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32stdc++6-4.6-dbg_4.6.2-6_amd64.deb
lib32stdc++6_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/lib32stdc++6_4.6.2-6_amd64.deb
libgcc1-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libgcc1-dbg_4.6.2-6_amd64.deb
libgcc1_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libgcc1_4.6.2-6_amd64.deb
libgfortran3-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libgfortran3-dbg_4.6.2-6_amd64.deb
libgfortran3_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libgfortran3_4.6.2-6_amd64.deb
libgo0-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libgo0-dbg_4.6.2-6_amd64.deb
libgo0_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libgo0_4.6.2-6_amd64.deb
libgomp1-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libgomp1-dbg_4.6.2-6_amd64.deb
libgomp1_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libgomp1_4.6.2-6_amd64.deb
libmudflap0-4.6-dev_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libmudflap0-4.6-dev_4.6.2-6_amd64.deb
libmudflap0-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libmudflap0-dbg_4.6.2-6_amd64.deb
libmudflap0_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libmudflap0_4.6.2-6_amd64.deb
libobjc3-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libobjc3-dbg_4.6.2-6_amd64.deb
libobjc3_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libobjc3_4.6.2-6_amd64.deb
libquadmath0-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libquadmath0-dbg_4.6.2-6_amd64.deb
libquadmath0_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libquadmath0_4.6.2-6_amd64.deb
libstdc++6-4.6-dbg_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libstdc++6-4.6-dbg_4.6.2-6_amd64.deb
libstdc++6-4.6-dev_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libstdc++6-4.6-dev_4.6.2-6_amd64.deb
libstdc++6-4.6-doc_4.6.2-6_all.deb
  to main/g/gcc-4.6/libstdc++6-4.6-doc_4.6.2-6_all.deb
libstdc++6-4.6-pic_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libstdc++6-4.6-pic_4.6.2-6_amd64.deb
libstdc++6_4.6.2-6_amd64.deb
  to main/g/gcc-4.6/libstdc++6_4.6.2-6_amd64.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 635126@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Matthias Klose <doko@debian.org> (supplier of updated gcc-4.6 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 08 Dec 2011 17:14:35 +0100
Source: gcc-4.6
Binary: gcc-4.6-base libgcc1 libgcc1-dbg libgcc2 libgcc2-dbg libgcc4 libgcc4-dbg lib64gcc1 lib64gcc1-dbg lib32gcc1 lib32gcc1-dbg libn32gcc1 libn32gcc1-dbg gcc-4.6 gcc-4.6-multilib gcc-4.6-plugin-dev gcc-4.6-hppa64 gcc-4.6-spu g++-4.6-spu gfortran-4.6-spu cpp-4.6 gcc-4.6-locales g++-4.6 g++-4.6-multilib libmudflap0 libmudflap0-dbg lib32mudflap0 lib32mudflap0-dbg lib64mudflap0 lib64mudflap0-dbg libn32mudflap0 libn32mudflap0-dbg libmudflap0-4.6-dev libgomp1 libgomp1-dbg lib32gomp1 lib32gomp1-dbg lib64gomp1 lib64gomp1-dbg libn32gomp1 libn32gomp1-dbg libquadmath0 libquadmath0-dbg lib32quadmath0 lib32quadmath0-dbg lib64quadmath0 lib64quadmath0-dbg libn32quadmath0 libn32quadmath0-dbg gobjc++-4.6 gobjc++-4.6-multilib gobjc-4.6 gobjc-4.6-multilib libobjc3 libobjc3-dbg lib64objc3 lib64objc3-dbg lib32objc3 lib32objc3-dbg libn32objc3 libn32objc3-dbg gfortran-4.6 gfortran-4.6-multilib libgfortran3 libgfortran3-dbg lib64gfortran3 lib64gfortran3-dbg lib32gfortran3 lib32gfortran3-dbg
 libn32gfortran3 libn32gfortran3-dbg gccgo-4.6 gccgo-4.6-multilib libgo0 libgo0-dbg lib64go0 lib64go0-dbg lib32go0 lib32go0-dbg libn32go0 libn32go0-dbg libstdc++6 lib32stdc++6 lib64stdc++6 libn32stdc++6 libstdc++6-4.6-dev libstdc++6-4.6-pic libstdc++6-4.6-dbg lib32stdc++6-4.6-dbg lib64stdc++6-4.6-dbg libn32stdc++6-4.6-dbg libstdc++6-4.6-doc gcc-4.6-soft-float fixincludes
 gcc-4.6-source
Architecture: source all amd64
Version: 4.6.2-6
Distribution: unstable
Urgency: low
Maintainer: Debian GCC Maintainers <debian-gcc@lists.debian.org>
Changed-By: Matthias Klose <doko@debian.org>
Description: 
 cpp-4.6    - GNU C preprocessor
 fixincludes - Fix non-ANSI header files
 g++-4.6    - GNU C++ compiler
 g++-4.6-multilib - GNU C++ compiler (multilib files)
 g++-4.6-spu - SPU cross-compiler (C++ compiler)
 gcc-4.6    - GNU C compiler
 gcc-4.6-base - GCC, the GNU Compiler Collection (base package)
 gcc-4.6-hppa64 - GNU C compiler (cross compiler for hppa64)
 gcc-4.6-locales - GCC, the GNU compiler collection (native language support files)
 gcc-4.6-multilib - GNU C compiler (multilib files)
 gcc-4.6-plugin-dev - Files for GNU GCC plugin development.
 gcc-4.6-soft-float - GCC soft-floating-point gcc libraries (ARM)
 gcc-4.6-source - Source of the GNU Compiler Collection
 gcc-4.6-spu - SPU cross-compiler (preprocessor and C compiler)
 gccgo-4.6  - GNU Go compiler
 gccgo-4.6-multilib - GNU Go compiler (multilib files)
 gfortran-4.6 - GNU Fortran 95 compiler
 gfortran-4.6-multilib - GNU Fortran 95 compiler (multilib files)
 gfortran-4.6-spu - SPU cross-compiler (Fortran compiler)
 gobjc++-4.6 - GNU Objective-C++ compiler
 gobjc++-4.6-multilib - GNU Objective-C++ compiler (multilib files)
 gobjc-4.6  - GNU Objective-C compiler
 gobjc-4.6-multilib - GNU Objective-C compiler (multilib files)
 lib32gcc1  - GCC support library (32 bit Version)
 lib32gcc1-dbg - GCC support library (debug symbols)
 lib32gfortran3 - Runtime library for GNU Fortran applications (32bit)
 lib32gfortran3-dbg - Runtime library for GNU Fortran applications (32 bit debug symbol
 lib32go0   - Runtime library for GNU Go applications (32bit)
 lib32go0-dbg - Runtime library for GNU Go applications (32 bit debug symbols)
 lib32gomp1 - GCC OpenMP (GOMP) support library (32bit)
 lib32gomp1-dbg - GCC OpenMP (GOMP) support library (32 bit debug symbols)
 lib32mudflap0 - GCC mudflap shared support libraries (32bit)
 lib32mudflap0-dbg - GCC mudflap shared support libraries (32 bit debug symbols)
 lib32objc3 - Runtime library for GNU Objective-C applications (32bit)
 lib32objc3-dbg - Runtime library for GNU Objective-C applications (32 bit debug sy
 lib32quadmath0 - GCC Quad-Precision Math Library (32bit)
 lib32quadmath0-dbg - GCC Quad-Precision Math Library (32 bit debug symbols)
 lib32stdc++6 - GNU Standard C++ Library v3 (32 bit Version)
 lib32stdc++6-4.6-dbg - GNU Standard C++ Library v3 (debugging files)
 lib64gcc1  - GCC support library (64bit)
 lib64gcc1-dbg - GCC support library (debug symbols)
 lib64gfortran3 - Runtime library for GNU Fortran applications (64bit)
 lib64gfortran3-dbg - Runtime library for GNU Fortran applications (64bit debug symbols
 lib64go0   - Runtime library for GNU Go applications (64bit)
 lib64go0-dbg - Runtime library for GNU Go applications (64bit debug symbols)
 lib64gomp1 - GCC OpenMP (GOMP) support library (64bit)
 lib64gomp1-dbg - GCC OpenMP (GOMP) support library (64bit debug symbols)
 lib64mudflap0 - GCC mudflap shared support libraries (64bit)
 lib64mudflap0-dbg - GCC mudflap shared support libraries (64 bit debug symbols)
 lib64objc3 - Runtime library for GNU Objective-C applications (64bit)
 lib64objc3-dbg - Runtime library for GNU Objective-C applications (64 bit debug sy
 lib64quadmath0 - GCC Quad-Precision Math Library  (64bit)
 lib64quadmath0-dbg - GCC Quad-Precision Math Library  (64bit debug symbols)
 lib64stdc++6 - GNU Standard C++ Library v3 (64bit)
 lib64stdc++6-4.6-dbg - GNU Standard C++ Library v3 (debugging files)
 libgcc1    - GCC support library
 libgcc1-dbg - GCC support library (debug symbols)
 libgcc2    - GCC support library
 libgcc2-dbg - GCC support library (debug symbols)
 libgcc4    - GCC support library
 libgcc4-dbg - GCC support library (debug symbols)
 libgfortran3 - Runtime library for GNU Fortran applications
 libgfortran3-dbg - Runtime library for GNU Fortran applications (debug symbols)
 libgo0     - Runtime library for GNU Go applications
 libgo0-dbg - Runtime library for GNU Go applications (debug symbols)
 libgomp1   - GCC OpenMP (GOMP) support library
 libgomp1-dbg - GCC OpenMP (GOMP) support library (debug symbols)
 libmudflap0 - GCC mudflap shared support libraries
 libmudflap0-4.6-dev - GCC mudflap support libraries (development files)
 libmudflap0-dbg - GCC mudflap shared support libraries (debug symbols)
 libn32gcc1 - GCC support library (n32)
 libn32gcc1-dbg - GCC support library (debug symbols)
 libn32gfortran3 - Runtime library for GNU Fortran applications (n32)
 libn32gfortran3-dbg - Runtime library for GNU Fortran applications (n32 debug symbols)
 libn32go0  - Runtime library for GNU Go applications (n32)
 libn32go0-dbg - Runtime library for GNU Go applications (n32 debug symbols)
 libn32gomp1 - GCC OpenMP (GOMP) support library (n32)
 libn32gomp1-dbg - GCC OpenMP (GOMP) support library (n32 debug symbols)
 libn32mudflap0 - GCC mudflap shared support libraries (n32)
 libn32mudflap0-dbg - GCC mudflap shared support libraries (n32 debug symbols)
 libn32objc3 - Runtime library for GNU Objective-C applications (n32)
 libn32objc3-dbg - Runtime library for GNU Objective-C applications (n32 debug symbo
 libn32quadmath0 - GCC Quad-Precision Math Library (n32)
 libn32quadmath0-dbg - GCC Quad-Precision Math Library (n32 debug symbols)
 libn32stdc++6 - GNU Standard C++ Library v3 (n32)
 libn32stdc++6-4.6-dbg - GNU Standard C++ Library v3 (debugging files)
 libobjc3   - Runtime library for GNU Objective-C applications
 libobjc3-dbg - Runtime library for GNU Objective-C applications (debug symbols)
 libquadmath0 - GCC Quad-Precision Math Library
 libquadmath0-dbg - GCC Quad-Precision Math Library (debug symbols)
 libstdc++6 - GNU Standard C++ Library v3
 libstdc++6-4.6-dbg - GNU Standard C++ Library v3 (debugging files)
 libstdc++6-4.6-dev - GNU Standard C++ Library v3 (development files)
 libstdc++6-4.6-doc - GNU Standard C++ Library v3 (documentation files)
 libstdc++6-4.6-pic - GNU Standard C++ Library v3 (shared library subset kit)
Closes: 622699 633479 635126 642127 650318
Changes: 
 gcc-4.6 (4.6.2-6) unstable; urgency=low
 .
   * Update to SVN 20111208 (r182120) from the gcc-4_6-branch.
     - Fix PR c++/51265, PR bootstrap/50888, PR target/51393 (ix86),
       PR target/51002 (AVR), PR target/51345 (AVR), PR debug/48190,
       PR fortran/50684, PR fortran/51218, PR target/50906 (closes: #650318),
       PR tree-optimization/51315 (closes: #635126), PR tree-optimization/50622,
       PR fortran/51435, PR debug/51410, PR c/51339, PR rtl-optimization/48721,
       PR middle-end/51323 (LP: #897583), PR middle-end/50074,
       PR middle-end/50074.
 .
   [ Matthias Klose ]
   * Run the libstdc++ testsuite on all architectures again. Closes: #622699.
   * Apply proposed patch for PR target/50906 (powerpcspe only). Closes: #650318.
   * Fix PR target/49030 (ARM), taken from Linaro. Closes: #633479.
   * Fix PR target/50193 (ARM), taken from Linaro. Closes: #642127.
   * Install the libstdc++.so-gdb.py file. LP: #883269.
   * Fix PR c++/50114, backport from trunk. LP: #827806.
   * Merge changes to allow gcc-snapshot cross builds, taken from Linaro.
   * Update the Linaro support to the 4.6 branch.
 .
   [ Marcin Juszkiewicz ]
   * Fix issues with gcc-snapshot cross builds.
   * Allow building Linaro binary packages in a single package.
   * Apply hardening patches for cross builds when enabled for native builds.
Checksums-Sha1: 
 d8a7eadb099b2f41ff279cd1d20671a83202bda5 7207 gcc-4.6_4.6.2-6.dsc
 8e1fc07449ab2658dd3a361b8ac853529a87e45b 953144 gcc-4.6_4.6.2-6.diff.gz
 072fee4d1e19efd57d15b3d93790393fb0eebb59 57918182 gcc-4.6-source_4.6.2-6_all.deb
 dacf6e2221d925eba61cbc7f6f141f86641374ad 3713220 libstdc++6-4.6-doc_4.6.2-6_all.deb
 8b35515d35691bb9d2adc7f0cfbdf804efdbf65f 2637240 gcc-4.6-locales_4.6.2-6_all.deb
 38631b7b17d6e790eebccc2428d0eefb3385b329 136892 gcc-4.6-base_4.6.2-6_amd64.deb
 7770d8cecb670cb03975c2b23c6b5e5c2efc98e5 42920 libgcc1_4.6.2-6_amd64.deb
 ceecb4b2c8cdb6129eca676338ee948a14695eb4 92876 libgcc1-dbg_4.6.2-6_amd64.deb
 c5b60d3b3ac9b8826565f5245bc480235293b86d 54116 lib32gcc1_4.6.2-6_amd64.deb
 a9be309f70c886659d5c763caa280b38edabb21b 98326 lib32gcc1-dbg_4.6.2-6_amd64.deb
 55512a6fea620b43548cb05ac713c596277878ff 126082 libquadmath0_4.6.2-6_amd64.deb
 009d6e4a82602480fedf9766582c0d8c557b7ae4 149966 libquadmath0-dbg_4.6.2-6_amd64.deb
 c38c0a9f2a3518c57ab1e85737f95beeac944467 195282 lib32quadmath0_4.6.2-6_amd64.deb
 a9555213a00ed032ea2d2fc4ad0cd850a99b984e 169418 lib32quadmath0-dbg_4.6.2-6_amd64.deb
 00cc38d97bfeedf5984b025451058743e6dafa19 25722 libgomp1_4.6.2-6_amd64.deb
 98b5f670248a07a82d73e897efc43eaa4b5a2a54 62558 libgomp1-dbg_4.6.2-6_amd64.deb
 09d45caacca09f8aaae1f8b4af9fb0bb716bbf92 28462 lib32gomp1_4.6.2-6_amd64.deb
 ecc14056f454d2fac0e1dea174a0a53914be691f 62566 lib32gomp1-dbg_4.6.2-6_amd64.deb
 1c372aefdf18e8f59b3523427fbf7e564b99dd2f 4821482 cpp-4.6_4.6.2-6_amd64.deb
 fe9e56ce6d1db714eb0f6eb25ce15d9ac0026c69 65546 fixincludes_4.6.2-6_amd64.deb
 a7e6a0551735692a12eef33a18af5ec9427eb81b 218614 libmudflap0-4.6-dev_4.6.2-6_amd64.deb
 4f2501684eded51e7fbe9a39165b64d745518f3f 97888 libmudflap0_4.6.2-6_amd64.deb
 5aa0ae7cb36400520a5c5c284ffa69bac368d7e7 133438 libmudflap0-dbg_4.6.2-6_amd64.deb
 949018860edf07cb87fff34705f78614e98694b5 88060 lib32mudflap0_4.6.2-6_amd64.deb
 823461f4d6666c4de43103a148298a78a033f56f 118086 lib32mudflap0-dbg_4.6.2-6_amd64.deb
 b4b9cd144d3d37be88064f350050c15990b18d8b 870 gobjc++-4.6-multilib_4.6.2-6_amd64.deb
 a9ee2517fa73a8037ae9aa8f2bb6a3fd78803f89 5171786 gobjc++-4.6_4.6.2-6_amd64.deb
 414a95ef065d54845deae1acfa824f02e89d1647 199736 gobjc-4.6-multilib_4.6.2-6_amd64.deb
 d023dd4198ce2372e07c56b9dd43b2783bf2cdd8 5026214 gobjc-4.6_4.6.2-6_amd64.deb
 76ffd7e91b965dfecde11a5215fd55f71c17dd0e 184954 libobjc3_4.6.2-6_amd64.deb
 d0fd75c52645c7b1fa263385005dbcc308311aa8 361706 libobjc3-dbg_4.6.2-6_amd64.deb
 c5c493736e13693a318222b394283648ac66d40f 183330 lib32objc3_4.6.2-6_amd64.deb
 f1b14a3eb00c58dd3a33e7a3f23a1d6510e456d7 331660 lib32objc3-dbg_4.6.2-6_amd64.deb
 48cfe7792bc23138b8375421fc5bc415fceed12d 2308780 libgo0_4.6.2-6_amd64.deb
 9e2b1c4d7dfaface6295143223a40aff91ac93b4 2047694 libgo0-dbg_4.6.2-6_amd64.deb
 f4a52c0f9c2918b9b975264d078c31a6677826b2 2104504 lib32go0_4.6.2-6_amd64.deb
 489e636a2f37f001a7dd973cd9d72ff0e87721fd 1574392 lib32go0-dbg_4.6.2-6_amd64.deb
 a88e8a1b31e2ce98ae1514f2d823d7e10d79efcc 8142138 gccgo-4.6_4.6.2-6_amd64.deb
 6f0fbcd7d01ac689228da63efa3c17104571d055 2802962 gccgo-4.6-multilib_4.6.2-6_amd64.deb
 30a334e96a28620a1ee914cc58a8057871081b1f 1012826 g++-4.6-multilib_4.6.2-6_amd64.deb
 8ca314311ef9a2b101c26cea6752292c4106edf6 6962986 g++-4.6_4.6.2-6_amd64.deb
 c4d7820be294f8bc95bb5f8d512e0538bf24e94e 330534 libstdc++6_4.6.2-6_amd64.deb
 d4c9c973f3bf417102cae0f401e30bc6d540a152 343464 lib32stdc++6_4.6.2-6_amd64.deb
 559c5a66c789ecf19ae3c5ac9424205860d8ee16 7960794 lib32stdc++6-4.6-dbg_4.6.2-6_amd64.deb
 10f27766b31235d819a5997d569993f4d9591ac3 1661812 libstdc++6-4.6-dev_4.6.2-6_amd64.deb
 419bac4dcc497f3a98683a0cb416843f65cb5e2d 502804 libstdc++6-4.6-pic_4.6.2-6_amd64.deb
 34ef56a8c463bb0ca40d67766a5285467bf83bff 5686508 libstdc++6-4.6-dbg_4.6.2-6_amd64.deb
 78eee734b402e226afdd73d8064856c5684600c3 358300 libgfortran3_4.6.2-6_amd64.deb
 74557db87d8e67bea4256086f2d153f45ddea202 803156 libgfortran3-dbg_4.6.2-6_amd64.deb
 e8dd18f428da3d5fdda598d38f1c010b5a8ea8f1 355866 lib32gfortran3_4.6.2-6_amd64.deb
 c11b0dc4a02320224f0f94281cc4cf763c4b375e 637730 lib32gfortran3-dbg_4.6.2-6_amd64.deb
 cb21f2fb36464f837a54b15731a230eb3d6a7544 405244 gfortran-4.6-multilib_4.6.2-6_amd64.deb
 e359be245fd473811bc30fbdfb96a06fb6d588ea 5561866 gfortran-4.6_4.6.2-6_amd64.deb
 10b758b1c11feb83101661318f486abeacc05dd3 2532636 gcc-4.6-multilib_4.6.2-6_amd64.deb
 b65d54dbc499dadb6f1be219beea316e506db3ce 840430 gcc-4.6-plugin-dev_4.6.2-6_amd64.deb
 1e3bdf817bfaf927dfe87d9f95a6c2ce3747d0a3 7316778 gcc-4.6_4.6.2-6_amd64.deb
Checksums-Sha256: 
 8e5f0c9c2272a7e0e44c94d11300a1eb2cfe52a65668e9b3fe5c5481720f8c00 7207 gcc-4.6_4.6.2-6.dsc
 064dbd85851122c8e445e99e0c7c5e83923f3f145b06cf27acb34b24ed03e9ac 953144 gcc-4.6_4.6.2-6.diff.gz
 9ab2e58e316318b6a820e0e8b0b8759877ce790cd924b47f8f2714739d2c462a 57918182 gcc-4.6-source_4.6.2-6_all.deb
 7ae422f2ed08a9bd024fdf8362d828fa92f41b264e13656c46d1809b2de06a2d 3713220 libstdc++6-4.6-doc_4.6.2-6_all.deb
 bf2a09e2d6997988ccafb197ab733c15c697df8866fec7ccf818ee656307a277 2637240 gcc-4.6-locales_4.6.2-6_all.deb
 1bafa7ffc7d9d0b6e17433b6204b7521a504b7fd39fb44405d6164cfb13ab9a3 136892 gcc-4.6-base_4.6.2-6_amd64.deb
 6bfa2d0f6aaedfdf188810875da96fb02b7cebc12e6287102db4f58e0c111492 42920 libgcc1_4.6.2-6_amd64.deb
 f5ba4b166a1376708916ea3ab70c590203cc88b1cbd6a8afe5593f4b8ca8c4fe 92876 libgcc1-dbg_4.6.2-6_amd64.deb
 1d31547dfa33eb2f6dbe1e5af53e672aa66e74df7606173d512040ea75526a2c 54116 lib32gcc1_4.6.2-6_amd64.deb
 87143f92b5379274de0518704ff121d6163c7e6561cb72efe74722d06467765f 98326 lib32gcc1-dbg_4.6.2-6_amd64.deb
 7fc9e678aff338507f6a6d32a55cc4149bda1cf9c56500cf86092d39786a5176 126082 libquadmath0_4.6.2-6_amd64.deb
 89923002137fdf3dbaba46c63e5ef65ac3e9ed1d87a433ed94d08979aecd6e3b 149966 libquadmath0-dbg_4.6.2-6_amd64.deb
 d5b88ef54dfdbbba3d9ea7252236d309e4e28badfd2c317d398997c770b7b6d4 195282 lib32quadmath0_4.6.2-6_amd64.deb
 78a4275fc55bc11d742207db367ba0aa615285cf7555eb2a7ad0a5ef49e16e39 169418 lib32quadmath0-dbg_4.6.2-6_amd64.deb
 abb4e718ddc23bfe9698807706844c774957a29c24b8bb2683e371572f2b711a 25722 libgomp1_4.6.2-6_amd64.deb
 84453252bf5ebf0a138e0ba17c7a683a2683e966e1f12561dd3ea51022448fdc 62558 libgomp1-dbg_4.6.2-6_amd64.deb
 5cf5e6e35a1e5fdc7f25e6a1effb79fd59f35bb609ee415cb7df5210043ed8a7 28462 lib32gomp1_4.6.2-6_amd64.deb
 1aa277da7a31b81bc417f4ae1bb86b4112543385b0cfeb715bdc1fbd6782a4ed 62566 lib32gomp1-dbg_4.6.2-6_amd64.deb
 4103b44ce9f902884a058794800ec202686b1f487bea4f5eb4ea62244e20213c 4821482 cpp-4.6_4.6.2-6_amd64.deb
 c13ab4adef23d32acc443b9c8e374c8871b79af629dfc423ab99bdaa814053cf 65546 fixincludes_4.6.2-6_amd64.deb
 cd908d4724f195751b03688108bfac61fbf7a74af41f38a745b503022f175c16 218614 libmudflap0-4.6-dev_4.6.2-6_amd64.deb
 f492b6587a42fca48a7f869906cc97a60478375bb0ac479c8ddf57b65e3cdc20 97888 libmudflap0_4.6.2-6_amd64.deb
 2e2ac01d3f5371660d608e1929d85ecb2a46b18fac2e1ac6ead6eefe964ab50c 133438 libmudflap0-dbg_4.6.2-6_amd64.deb
 b723b8a81b52588ec99233f5142b8b0ae1bf6bae11fa545e5c90309dc126b8dd 88060 lib32mudflap0_4.6.2-6_amd64.deb
 82b8cd7f6e64b43925473fdb311ef5d1758d3893159586a92497891361a4ce08 118086 lib32mudflap0-dbg_4.6.2-6_amd64.deb
 4802aa4c7f27a64b759d34f743e37a11d81768d63477c35f390fbe7b2490abac 870 gobjc++-4.6-multilib_4.6.2-6_amd64.deb
 9c614a63a2b9a692698a69df95f47ff8658419bb2c4dca52fc9616b2c4c7b7ec 5171786 gobjc++-4.6_4.6.2-6_amd64.deb
 715340e8174c81fd641d24f6c2582bc704c182e17dbd23c1aec983ab845cae93 199736 gobjc-4.6-multilib_4.6.2-6_amd64.deb
 397a1a49845560194d7c19418eefb894a454bb00fd137965734ed1c93317494e 5026214 gobjc-4.6_4.6.2-6_amd64.deb
 90989335812b1e2baadf18f433417d118427e24b7b925598996f2f4dbd8c3d5f 184954 libobjc3_4.6.2-6_amd64.deb
 0f840852b74505d3aeac6576084cd312b8f2efb7ae5b90f9515a83a0d43687c5 361706 libobjc3-dbg_4.6.2-6_amd64.deb
 88ce8efb9bc181241c08003ae84ba2d0a780c9a5091ead624a792453c5d504f9 183330 lib32objc3_4.6.2-6_amd64.deb
 022dcb661393d1276427afac7ae0a064bc609d6a8cd8f538a37f71cd063f8ae2 331660 lib32objc3-dbg_4.6.2-6_amd64.deb
 3e9eb46d0eb929d81a8b5e4f77cd24974e1e1c4ef1c4102c045ac18318b1a9bb 2308780 libgo0_4.6.2-6_amd64.deb
 bc4e9f47733c5884ccd71e1f478decc1d09060596f5d246ba669fa7db80f6371 2047694 libgo0-dbg_4.6.2-6_amd64.deb
 be00be7d65b814d79b99b001d40c534cdcb793c321c3517dc8ef8d6327b7a196 2104504 lib32go0_4.6.2-6_amd64.deb
 6e580287e4399f8b7a5fbcd2c5acfc73ba5ddc4f2fbf7e564910475207d048e0 1574392 lib32go0-dbg_4.6.2-6_amd64.deb
 40d960fed899bb376513e9203397139a5c302dcc245d60b51a4a5f6781846d9b 8142138 gccgo-4.6_4.6.2-6_amd64.deb
 099793c8ad8863029a62469cb10dae0064fd4bab465f54f41aeaca75a9fdf29a 2802962 gccgo-4.6-multilib_4.6.2-6_amd64.deb
 15fd391b134dabbdfba275a221ff4b179f242e596ca655e4a7b8e7cc8d3308ad 1012826 g++-4.6-multilib_4.6.2-6_amd64.deb
 238bb39f923309474474f3cb0466754c4254629af308b19d04cccc066b058512 6962986 g++-4.6_4.6.2-6_amd64.deb
 77d80caefd9be922a2374a123e56ac2d2c93712d4034f4fa17d1f7f92657a55e 330534 libstdc++6_4.6.2-6_amd64.deb
 5fb0ad3bc281961fac708b711eaa9712b009839d3beab16d970907e93fa9e0a0 343464 lib32stdc++6_4.6.2-6_amd64.deb
 f3dba90648d01d6db73d3fee13cf630be216895f5e7eb42b0227901a35d88607 7960794 lib32stdc++6-4.6-dbg_4.6.2-6_amd64.deb
 d2aa672807996b77535d93f66686f635c01838c881999453791b81100fa4ba7e 1661812 libstdc++6-4.6-dev_4.6.2-6_amd64.deb
 8948412378bdbb47daa8e4deee55241cfa9eeaedeffae00552628c2ada22633e 502804 libstdc++6-4.6-pic_4.6.2-6_amd64.deb
 2e728d9c9f746c44121ca529e0965052757c4287e6fdfcaeaf5c93148769ad83 5686508 libstdc++6-4.6-dbg_4.6.2-6_amd64.deb
 f1181bcd6a0b48e72104e535aad217a01534f6bf70ab76804a752621fa3575e7 358300 libgfortran3_4.6.2-6_amd64.deb
 4bf85bcedfbe042fa7405521b947c74e6140fa88db1191c36c715924e3735aba 803156 libgfortran3-dbg_4.6.2-6_amd64.deb
 2a2492b311cb3b8e6c21cdb4d93ce0acb7a7eb98b99806a7ee9e6a31b1953e64 355866 lib32gfortran3_4.6.2-6_amd64.deb
 cd93ee499ae6fe80594dfe35d7d4accbc54dd60005a0b6da0c0c195a1bdff542 637730 lib32gfortran3-dbg_4.6.2-6_amd64.deb
 ad1a4067915806a696ca068d46c928f6b8bc5f4c95b8dee5a6eb76e42a1f1e44 405244 gfortran-4.6-multilib_4.6.2-6_amd64.deb
 688c2b05ffa4f66ce185f6d10eaeaaf4ed86d53de4bb0bcdee1c80696e079388 5561866 gfortran-4.6_4.6.2-6_amd64.deb
 3a6490fb0524560de51220423400e7662b6720e684633dc919c39d84273c0981 2532636 gcc-4.6-multilib_4.6.2-6_amd64.deb
 f1bd66cedb047653d83c32d1be8e8e53747ec9c351dce0dca9b49f28b9b7f282 840430 gcc-4.6-plugin-dev_4.6.2-6_amd64.deb
 0b29f467e76be7ed01e2e2a5950f91218a67b537c53715479fd197fbc80d4e4d 7316778 gcc-4.6_4.6.2-6_amd64.deb
Files: 
 5b53517cc41f1d08a349570142d53a63 7207 devel optional gcc-4.6_4.6.2-6.dsc
 a6511630689285ce97efc545365c0439 953144 devel optional gcc-4.6_4.6.2-6.diff.gz
 b947996eee31f71bebd5c129d2526232 57918182 devel optional gcc-4.6-source_4.6.2-6_all.deb
 c7d515f01362bf3071501a38888c61b3 3713220 doc optional libstdc++6-4.6-doc_4.6.2-6_all.deb
 93246ac1f2b483c53693c315c5c43d60 2637240 devel optional gcc-4.6-locales_4.6.2-6_all.deb
 7d7f4241f742e4a4e0e3bd6c4ca3384c 136892 libs required gcc-4.6-base_4.6.2-6_amd64.deb
 06206d7b3c94fd0f140feb9a6cd79036 42920 libs required libgcc1_4.6.2-6_amd64.deb
 a45ea0ff17ad6e4464e344a68b572a6f 92876 debug extra libgcc1-dbg_4.6.2-6_amd64.deb
 a4dc7b0e6d35fbd75554149567a0b8ba 54116 libs extra lib32gcc1_4.6.2-6_amd64.deb
 e52d7406a052aac221d77ee54f530807 98326 debug extra lib32gcc1-dbg_4.6.2-6_amd64.deb
 9de12503a75f10e80ae797774aef726b 126082 libs optional libquadmath0_4.6.2-6_amd64.deb
 eb3073f59972ff7e65964f12ca0c60a6 149966 debug extra libquadmath0-dbg_4.6.2-6_amd64.deb
 bd7b8aa4b221244bcdb44ae284e780ac 195282 libs optional lib32quadmath0_4.6.2-6_amd64.deb
 87848159feceb8575f4b78d0895d6eab 169418 debug extra lib32quadmath0-dbg_4.6.2-6_amd64.deb
 03a89f50ebc25f540dfba9f4359f331b 25722 libs optional libgomp1_4.6.2-6_amd64.deb
 e18a303b7add5917b72c563ec0f3694a 62558 debug extra libgomp1-dbg_4.6.2-6_amd64.deb
 9e99cdf97257374d85a94ba63b604c7b 28462 libs optional lib32gomp1_4.6.2-6_amd64.deb
 1977767c25ae53fab555e11a228f1e0f 62566 debug extra lib32gomp1-dbg_4.6.2-6_amd64.deb
 7c5685ce6f0684f873b6f7a5e40d4d6d 4821482 interpreters optional cpp-4.6_4.6.2-6_amd64.deb
 d9a267caeb3959fe4e154e03021b2a76 65546 devel optional fixincludes_4.6.2-6_amd64.deb
 63d69347df4dd8bf213f4f8544c84ff1 218614 libdevel optional libmudflap0-4.6-dev_4.6.2-6_amd64.deb
 2687e31b54bfa0d288b56f4541301c4b 97888 libs optional libmudflap0_4.6.2-6_amd64.deb
 8ef41a7b680ffad8e9459bdc08d6eb6b 133438 debug extra libmudflap0-dbg_4.6.2-6_amd64.deb
 f47e5bf1a4dac7f8d23582cc28b472fb 88060 libs optional lib32mudflap0_4.6.2-6_amd64.deb
 4bc5624f9725c4ad41bd16b82d2a088c 118086 debug extra lib32mudflap0-dbg_4.6.2-6_amd64.deb
 44682a4edf67b5c673d996491abe2999 870 devel optional gobjc++-4.6-multilib_4.6.2-6_amd64.deb
 c04678dcc863e1dd59804349edea5f93 5171786 devel optional gobjc++-4.6_4.6.2-6_amd64.deb
 dd623b66d7bf7de6cd292f3e2a601c9b 199736 devel optional gobjc-4.6-multilib_4.6.2-6_amd64.deb
 323fbb35eecdd219274910c38ae3b939 5026214 devel optional gobjc-4.6_4.6.2-6_amd64.deb
 91f039e0ba297a800a076fbc3e1a8768 184954 libs optional libobjc3_4.6.2-6_amd64.deb
 7f11fa5d8d3feed88611b06a990a9bda 361706 debug extra libobjc3-dbg_4.6.2-6_amd64.deb
 9707a4a05e53f435f7cdb4bbdb4eaf3d 183330 libs optional lib32objc3_4.6.2-6_amd64.deb
 379bf4fa9c233249a558dc83c995b389 331660 debug extra lib32objc3-dbg_4.6.2-6_amd64.deb
 f7cf638c5eb2ae5fdd960bd4c9ec650c 2308780 libs optional libgo0_4.6.2-6_amd64.deb
 1e5fceb77f72265f95ca6ed7ece34549 2047694 debug extra libgo0-dbg_4.6.2-6_amd64.deb
 0da1c2d6958893ab8e5076c914368925 2104504 libs optional lib32go0_4.6.2-6_amd64.deb
 fa148cab375c23822dbdfa1a95fbb650 1574392 debug extra lib32go0-dbg_4.6.2-6_amd64.deb
 3df2457e946123315e4589f49110ad85 8142138 devel optional gccgo-4.6_4.6.2-6_amd64.deb
 abb64819c30c82906320ca6ca92dff2f 2802962 devel optional gccgo-4.6-multilib_4.6.2-6_amd64.deb
 5413f1000b4d85ad6234c9ed51867897 1012826 devel optional g++-4.6-multilib_4.6.2-6_amd64.deb
 1a91aa042a832bb2861c5e6451d812aa 6962986 devel optional g++-4.6_4.6.2-6_amd64.deb
 5f73d1cc4b92f3accba61959aec1636c 330534 libs required libstdc++6_4.6.2-6_amd64.deb
 2af7e602fe0064bc39d220eb09c0f90d 343464 libs extra lib32stdc++6_4.6.2-6_amd64.deb
 9580d16406605e1a2b3a080fcef4e8c5 7960794 debug extra lib32stdc++6-4.6-dbg_4.6.2-6_amd64.deb
 56fa500a1d201006564d2a3ce4be115d 1661812 libdevel optional libstdc++6-4.6-dev_4.6.2-6_amd64.deb
 9520285986901d0d7d5e3a0c74a0e465 502804 libdevel extra libstdc++6-4.6-pic_4.6.2-6_amd64.deb
 2c283e7360b27d841f6f615b8d408dc9 5686508 debug extra libstdc++6-4.6-dbg_4.6.2-6_amd64.deb
 5b444d7da84486cc545037a4f7b3681b 358300 libs optional libgfortran3_4.6.2-6_amd64.deb
 ecdf7cb3d0bcad1255c5ee8413b07b53 803156 debug extra libgfortran3-dbg_4.6.2-6_amd64.deb
 586e9027edf637a8926c05da4df6baee 355866 libs optional lib32gfortran3_4.6.2-6_amd64.deb
 252876ca4ce47349c058d7211b631093 637730 debug extra lib32gfortran3-dbg_4.6.2-6_amd64.deb
 6d60a1032ed696e63081e7fecbe98ad0 405244 devel optional gfortran-4.6-multilib_4.6.2-6_amd64.deb
 79c3e97b865426abfb43a9d967b1f3b4 5561866 devel optional gfortran-4.6_4.6.2-6_amd64.deb
 9dcc8f26e296913174c8d1b9d5e2e991 2532636 devel optional gcc-4.6-multilib_4.6.2-6_amd64.deb
 1e9da163e01287db4abe1faa0731bade 840430 devel optional gcc-4.6-plugin-dev_4.6.2-6_amd64.deb
 253d957c25a00d377a148cad1be0b0e2 7316778 devel optional gcc-4.6_4.6.2-6_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk7hUQIACgkQStlRaw+TLJxNrQCfW7oiyxNoS88+bZ7hNgCOCTBl
g5gAoKZrICUr2gBVppNlLH1GcoyGrwY6
=Cg1r
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 29 Feb 2012 07:36:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 10:48:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.